Skip to main content

Charting Settings

Charting Settings​

@toothfairyai/sdk@latest…

Charting Settings Management Module Handles charting settings retrieval and updates.

Accessed via client.chartingSettings.

Methods​

MethodHTTPEndpoint
getGETGET /charting_settings/get
updatePOSTPOST /charting_settings/update

get​

Get charting settings for the workspace

async get()

Endpoint: GET /charting_settings/get

Field-level schema not available in the API spec for this endpoint.

Example​

const result = await client.chartingSettings.get();

update​

Update charting settings

async update(
options: {
primaryColor?: string;
secondaryColor?: string;
lineColor?: string;
backgroundColor?: string;
textColor?: string;
} = {}
)

Endpoint: POST /charting_settings/update · API service

Request fields​

FieldTypeRequiredDescription
workspaceidstringnoUnique workspace identifier (UUID v4)
primaryColorstringnoPrimary Color
secondaryColorstringnoSecondary Color
tertiaryColorstringnoTertiary Color
primaryTextColorstringnoPrimary text color
primaryBorderColorstringnoPrimary border color
lineColorstringnoLine Color
plotPrimaryColorstringnoPlot Primary Color
plotSecondaryColorstringnoPlot Secondary Color
plotTertiaryColorstringnoPlot Tertiary Color
xyBackgroundColorstringnoXY Background Color

Response fields​

FieldTypeDescription
workspaceidstringUnique workspace identifier (UUID v4)
primaryColorstringPrimary Color
secondaryColorstringSecondary Color
tertiaryColorstringTertiary Color
primaryTextColorstringPrimary text color
primaryBorderColorstringPrimary border color
lineColorstringLine Color
plotPrimaryColorstringPlot Primary Color
plotSecondaryColorstringPlot Secondary Color
plotTertiaryColorstringPlot Tertiary Color
xyBackgroundColorstringXY Background Color

Example​

const result = await client.chartingSettings.update();